OpenVZ Forum


Home » General » Support » Could not compile a package agains the ovz kernel!?
icon4.gif  Could not compile a package agains the ovz kernel!? [message #30021] Tue, 06 May 2008 11:58 Go to next message
zenny
Messages: 48
Registered: November 2006
Member
I am trying to rpmbuild zaptel and other asterisk-related files against the ovzkernel-2.6.18-53.1.13.el5.028stab053.10. I installed ovzkernel-devel too.

Still while I try to build do a
#rpmbuild /usr/src/redhat/SPECS/zaptel.spec


I keep on getting an error message:

# rpmbuild -bb zaptel.spec 
error: Failed build dependencies:
	kernel-devel = 2.6.18-53.1.13.el5.028stab053.10 is needed by zaptel-1.4.9.2.xpp.r5517-3.i386


zaptel.spec is attached for your perusal.

How can I compile this package from SRPMS against ovz-kernel specified above in centos5.1 VE? Any pointers? Thanks in advance!
  • Attachment: zaptel.spec
    (Size: 13.27KB, Downloaded 401 times)
Re: Could not compile a package agains the ovz kernel!? [message #30022 is a reply to message #30021] Tue, 06 May 2008 12:07 Go to previous messageGo to next message
kir is currently offline  kir
Messages: 1645
Registered: August 2005
Location: Moscow, Russia
Senior Member

Could you please show us the output of
rpm -q --provides ovzkernel-devel


Kir Kolyshkin
http://static.openvz.org/userbars/openvz-developer.png
Re: Could not compile a package agains the ovz kernel!? [message #30030 is a reply to message #30022] Tue, 06 May 2008 13:56 Go to previous messageGo to next message
zenny
Messages: 48
Registered: November 2006
Member
# rpm -q --provides ovzkernel-devel
kernel-devel-i686 = 2.6.18-53.1.13.el5.028stab053.10
ovzkernel-devel = 2.6.18-53.1.13.el5.028stab053.10
Re: Could not compile a package agains the ovz kernel!? [message #30031 is a reply to message #30030] Tue, 06 May 2008 14:12 Go to previous messageGo to next message
zenny
Messages: 48
Registered: November 2006
Member
BTW, let me inform you that I also did:

yum install kernel-devel

But it installed kernel-devel.i686 0:2.6.18-53.1.14.el5 but the dependency error still persists to kernel-devel-2.6.18-53.1.13.el5.028stab053.10.

Is there any kernel-devel-2.6.18-53.1.13.el5.028stab053.10?
Re: Could not compile a package agains the ovz kernel!? [message #30034 is a reply to message #30031] Tue, 06 May 2008 17:01 Go to previous messageGo to next message
kir is currently offline  kir
Messages: 1645
Registered: August 2005
Location: Moscow, Russia
Senior Member

Now I see what the problem is:

our ovzkernel-devel provides "kernel-devel-i686 = 2.6.18-53.1.13.el5.028stab053.10" while it should provide "kernel-devel = 2.6.18-53.1.13.el5.028stab053.10" (i.e. no -i686 suffix).

I have filed a bug for this, see http://bugzilla.openvz.org/884. Hope we will fix it soon (i.e. in the next kernel release).

For now, please use --nodeps flag to rpmbuild command.


Kir Kolyshkin
http://static.openvz.org/userbars/openvz-developer.png
Re: Could not compile a package agains the ovz kernel!? [message #30036 is a reply to message #30034] Tue, 06 May 2008 17:27 Go to previous messageGo to next message
zenny
Messages: 48
Registered: November 2006
Member
Kir:

Thanks for the bug reporting.

And thanks for your suggestion to use --nodeps flag. With that, I landed at an error:

  Building modules, stage 2.
  MODPOST
WARNING: "oslec_echo_can_create" [/usr/src/redhat/BUILD/zaptel-1.4.9.2.xpp.r5517/kernel/zaptel.ko] undefined!
WARNING: "oslec_echo_can_identify" [/usr/src/redhat/BUILD/zaptel-1.4.9.2.xpp.r5517/kernel/zaptel.ko] undefined!
WARNING: "oslec_echo_can_update" [/usr/src/redhat/BUILD/zaptel-1.4.9.2.xpp.r5517/kernel/zaptel.ko] undefined!
WARNING: "oslec_echo_can_free" [/usr/src/redhat/BUILD/zaptel-1.4.9.2.xpp.r5517/kernel/zaptel.ko] undefined!
WARNING: "oslec_hpf_tx" [/usr/src/redhat/BUILD/zaptel-1.4.9.2.xpp.r5517/kernel/zaptel.ko] undefined!
WARNING: "oslec_echo_can_traintap" [/usr/src/redhat/BUILD/zaptel-1.4.9.2.xpp.r5517/kernel/zaptel.ko] undefined!
make[3]: *** [__modpost] Error 1
make[2]: *** [modules] Error 2
make[2]: Leaving directory `/usr/src/kernels/2.6.18-53.1.13.el5.028stab053.10-i686'
make[1]: *** [modules] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/zaptel-1.4.9.2.xpp.r5517'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.25892 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.25892 (%build)


Is it something to do with kernel source?

[Updated on: Tue, 06 May 2008 20:40]

Report message to a moderator

Re: Could not compile a package agains the ovz kernel!? [message #30050 is a reply to message #30036] Wed, 07 May 2008 06:52 Go to previous messageGo to next message
kir is currently offline  kir
Messages: 1645
Registered: August 2005
Location: Moscow, Russia
Senior Member

The last question is more related to Zaptel I guess -- please ask Zaptel guys.

Kir Kolyshkin
http://static.openvz.org/userbars/openvz-developer.png
Re: Could not compile a package agains the ovz kernel!? [message #30054 is a reply to message #30050] Wed, 07 May 2008 10:06 Go to previous message
zenny
Messages: 48
Registered: November 2006
Member
Kir:

What is the timeline that you are to release a new kernel for ovz? Any specific date? Thanks!
Previous Topic: OpenVZ problem non stop
Next Topic: Not understanding networking (beware - tons of questions!) [SOLVED]
Goto Forum:
  


Current Time: Mon Mar 04 01:49:10 GMT 2024

Total time taken to generate the page: 0.02571 seconds